<template>
	<div id="app">
		<div v-if="pageName.includes('login')">
			<LoginPage/>
		</div>

		<div v-else-if="pageName.includes('activation')">
			<ActivationPage/>
		</div>


		<div v-else>
			<aside class="aside">
				<div class="nav_menu">
					<div class="logo">
						<!--<router-link to="/">-->
							<!--<img src="../public/img/logo.png" alt="">-->
						<!--</router-link>-->
					</div>

					<ul class="nav_menu_ls">
						<!--v-if="$store.getters.can('Dashboard')"-->
						<router-link to="/dashboard" tag="li" exact active-class="active" v-if="can('Dashboard', 'View')">
							<a href="">
								<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24" height="24" viewBox="0 0 24 24">
									<defs>
										<clipPath id="clip-dashboard2_icon">
											<rect width="24" height="24"/>
										</clipPath>
									</defs>
									<g id="dashboard2_icon" clip-path="url(#clip-dashboard2_icon)">
										<path id="dashboard_1_" data-name="dashboard (1)" d="M23.063,0H.938A.928.928,0,0,0,0,.917V19.083A.928.928,0,0,0,.938,20H23.063A.928.928,0,0,0,24,19.083V.917A.928.928,0,0,0,23.063,0Zm-.937,18.165H1.875V6.239h20.25Zm0-13.761H1.875V1.835h20.25ZM3.563,15.6a.928.928,0,0,1,.938-.917h.938V11.927a.938.938,0,0,1,1.875,0v2.752h3.75V10.092a.938.938,0,0,1,1.875,0v4.587h3.75V8.257a.938.938,0,0,1,1.875,0v6.422H19.5a.918.918,0,1,1,0,1.835H4.5A.928.928,0,0,1,3.563,15.6Zm0,0" transform="translate(-0.033 1.753)" fill="#b2b9c4"/>
									</g>
								</svg>

								<span class="txt">Dashboard</span>
							</a>
						</router-link>

						<router-link to="/dashboards" tag="li" exact active-class="active" v-if="can('Dashboards', 'View')">
							<a href="">
								<svg class="img" width="18" height="18" viewBox="0 0 18 18">
									<g transform="translate(-26 -89)">
										<path id="kryga" d="M36 89v6h8v-6zm0 18h8V97h-8zm-10 0h8v-6h-8zm0-8h8V89h-8z"/>
									</g>
								</svg>
								<span class="txt">{{$store.state.locale.dashboards}}</span>
							</a>
						</router-link>


						<router-link to="/call" tag="li" exact active-class="active" v-if="can('Calls', 'View')">
							<a href="">
								<svg class="img" width="24" height="24" viewBox="0 0 24 24">
									<g transform="translate(0 -19.573)">
										<path data-name="Path 1126"
											  d="M19.769,28.619a.644.644,0,0,1-.322.82l-5.755,2.51a.925.925,0,0,1-.385.1.965.965,0,0,1-.821-.473L9.631,26.93a1.092,1.092,0,0,1,.282-1.451.944.944,0,0,1,1.358.3l2.844,4.627L19,28.275A.576.576,0,0,1,19.769,28.619Zm-6.463-9.046a10.507,10.507,0,0,0-8.752,4.87A5.379,5.379,0,0,1,5.723,25.6a9.071,9.071,0,0,1,6.484-4.276l1.1,1.985,1.1-1.985a9.47,9.47,0,0,1,7.959,8.5L20.5,31l1.858,1.173a9.839,9.839,0,0,1-4.183,7.054,3.135,3.135,0,0,1,.239,1.077,3.042,3.042,0,0,1-.068.767A11.562,11.562,0,0,0,24,31C24,24.7,19.2,19.573,13.306,19.573Zm2.729,18.816c-2.465-2.117-3.155-1.076-4.273.119C10.98,39.342,9,37.6,7.3,35.776S3.96,31.842,4.741,31.008c1.119-1.195,2.092-1.932.11-4.565s-3.3-.612-4.385.546C-.785,28.325.4,33.3,5.006,38.225s9.267,6.186,10.517,4.85C16.607,41.917,18.5,40.507,16.035,38.389ZM3.077,27.871l-.144.063c-.118.048-.258.1-.414.175a2.267,2.267,0,0,0-.229.128,1.3,1.3,0,0,0-.224.175,1.6,1.6,0,0,0-.2.237,1.737,1.737,0,0,0-.151.314,2.053,2.053,0,0,0-.1.369c-.024.129-.028.264-.043.395a5.04,5.04,0,0,0,.04.737A5.111,5.111,0,0,0,1.7,31l.04.2-.1-.177a5.034,5.034,0,0,1-.259-.478,5.282,5.282,0,0,1-.3-.746c-.034-.147-.079-.3-.1-.464a2.937,2.937,0,0,1-.035-.516A2.81,2.81,0,0,1,1,28.28a2.847,2.847,0,0,1,.184-.518,2.579,2.579,0,0,1,.261-.441,3.613,3.613,0,0,1,.282-.344c.182-.191.34-.331.432-.417.053-.047.074-.073.1-.095l.032-.032.845,1.413Zm12.688,13.42c-.083.11-.213.281-.389.474a3.681,3.681,0,0,1-.312.3,2.829,2.829,0,0,1-.391.28,2.427,2.427,0,0,1-.46.212,2.235,2.235,0,0,1-.491.109l-.243.019-.236-.014a2.647,2.647,0,0,1-.439-.071,3.765,3.765,0,0,1-.386-.12,2.854,2.854,0,0,1-.329-.141,3.905,3.905,0,0,1-.457-.247l-.169-.1.191.031a3.614,3.614,0,0,0,.5.062,2.459,2.459,0,0,0,.324.01,3.27,3.27,0,0,0,.355-.026,2.1,2.1,0,0,0,.358-.079l.173-.057.16-.08a1.758,1.758,0,0,0,.786-.926c.066-.166.113-.312.149-.427l.061-.19,1.369.819Z"
											  transform="translate(0)"/>
									</g>
								</svg>
								<span class="txt">{{$store.state.locale.call}}</span>
							</a>
						</router-link>


						<!--<router-link to="/ticket" tag="li" exact active-class="active" v-if="can('Ticket', 'View')">-->
							<!--<a href="">-->
								<!--<svg class="img" width="18" height="18" viewBox="0 0 18 18">-->
									<!--<path d="M19,3H4.99A1.976,1.976,0,0,0,3.01,5L3,19a1.991,1.991,0,0,0,1.99,2H19a2.006,2.006,0,0,0,2-2V5A2,2,0,0,0,19,3Zm0,12H15a3,3,0,0,1-6,0H4.99V5H19Z"-->
										  <!--transform="translate(-3 -3)"/>-->
								<!--</svg>-->
								<!--<span class="txt">{{$store.state.locale.ticket}}</span>-->
							<!--</a>-->
						<!--</router-link>-->


<!--						<router-link to="/complaints" tag="li" exact active-class="active" v-if="can('Complaints', 'View')">-->
<!--							<a href="">-->
<!--								<svg class="img" width="24" height="23.829" viewBox="0 0 24 23.829">-->
<!--									<g transform="translate(0 -0.102)">-->
<!--										<g transform="translate(0 0.102)">-->
<!--											<path d="M7.876,17.5A3.637,3.637,0,0,0,8.6,16.036a6.41,6.41,0,0,1-.858-2.443,5.044,5.044,0,0,1-.062-.689c0-.165.009-.328.024-.489L6.519,10.36l3.462-2L7.476,4.021,0,8.337l2.507,4.341,3.462-2,1.365,2.364A2.565,2.565,0,0,0,6.059,12.7a2.635,2.635,0,0,0-2.635,2.635,3.51,3.51,0,0,0,1.457,2.755c-2.063.524-3.592,2.316-3.592,3.643,0,.6,1.395.968,3.117,1.111,0-.031-.013-.058-.013-.089C4.394,20.866,5.838,18.831,7.876,17.5ZM2.739,11.808.87,8.57,7.242,4.891l1.87,3.238Z"-->
<!--												  transform="translate(0 -0.738)"/>-->

<!--											<path d="M18.588,9.058a4.937,4.937,0,0,1,.908,1.593v-4.3h5.257V.1H13.331v6.25h5.257Z" transform="translate(-2.163 -0.102)"/>-->

<!--											<path d="M23.641,19.772A3.509,3.509,0,0,0,25.1,17.017a2.62,2.62,0,0,0-4.278-2.043,6.356,6.356,0,0,1-.9,2.743,3.65,3.65,0,0,0,.726,1.459c2.039,1.334,3.482,3.369,3.482,5.259,0,.032-.012.058-.013.089,1.723-.142,3.117-.511,3.117-1.111C27.234,22.088,25.7,20.3,23.641,19.772Z"-->
<!--												  transform="translate(-3.232 -2.419)"/>-->

<!--											<path d="M15.485,18.084a5.4,5.4,0,0,0,2.244-4.243,4.055,4.055,0,0,0-8.11,0,5.4,5.4,0,0,0,2.244,4.243c-3.177.805-5.531,3.564-5.531,5.606,0,2.416,14.683,2.416,14.683,0C21.014,21.648,18.661,18.889,15.485,18.084Z"-->
<!--												  transform="translate(-1.027 -1.673)"/>-->
<!--										</g>-->
<!--									</g>-->
<!--								</svg>-->
<!--								<span class="txt">{{$store.state.locale.complaints}}</span>-->
<!--							</a>-->
<!--						</router-link>-->

						<router-link to="/application" tag="li" exact active-class="active" v-if="can('Complaints', 'View')">
							<a href="">
								<svg class="img" width="24" height="23.829" viewBox="0 0 24 23.829">
									<g transform="translate(0 -0.102)">
										<g transform="translate(0 0.102)">
											<path d="M7.876,17.5A3.637,3.637,0,0,0,8.6,16.036a6.41,6.41,0,0,1-.858-2.443,5.044,5.044,0,0,1-.062-.689c0-.165.009-.328.024-.489L6.519,10.36l3.462-2L7.476,4.021,0,8.337l2.507,4.341,3.462-2,1.365,2.364A2.565,2.565,0,0,0,6.059,12.7a2.635,2.635,0,0,0-2.635,2.635,3.51,3.51,0,0,0,1.457,2.755c-2.063.524-3.592,2.316-3.592,3.643,0,.6,1.395.968,3.117,1.111,0-.031-.013-.058-.013-.089C4.394,20.866,5.838,18.831,7.876,17.5ZM2.739,11.808.87,8.57,7.242,4.891l1.87,3.238Z"
												  transform="translate(0 -0.738)"/>

											<path d="M18.588,9.058a4.937,4.937,0,0,1,.908,1.593v-4.3h5.257V.1H13.331v6.25h5.257Z" transform="translate(-2.163 -0.102)"/>

											<path d="M23.641,19.772A3.509,3.509,0,0,0,25.1,17.017a2.62,2.62,0,0,0-4.278-2.043,6.356,6.356,0,0,1-.9,2.743,3.65,3.65,0,0,0,.726,1.459c2.039,1.334,3.482,3.369,3.482,5.259,0,.032-.012.058-.013.089,1.723-.142,3.117-.511,3.117-1.111C27.234,22.088,25.7,20.3,23.641,19.772Z"
												  transform="translate(-3.232 -2.419)"/>

											<path d="M15.485,18.084a5.4,5.4,0,0,0,2.244-4.243,4.055,4.055,0,0,0-8.11,0,5.4,5.4,0,0,0,2.244,4.243c-3.177.805-5.531,3.564-5.531,5.606,0,2.416,14.683,2.416,14.683,0C21.014,21.648,18.661,18.889,15.485,18.084Z"
												  transform="translate(-1.027 -1.673)"/>
										</g>
									</g>
								</svg>
								<span class="txt">{{$store.state.locale.ticket}}</span>
							</a>
						</router-link>


						<router-link to="/timesheet" tag="li" exact active-class="active" v-if="can('Timesheet', 'View')">
							<a href="">
								<svg class="img" width="25" height="26" viewBox="0 0 25 26">
									<g transform="translate(-23 -163)">
										<path id="2kwya"
											  d="M35.715 170.75v6.757h6.69c0-4.115-3.122-6.758-6.69-6.758zm11.224-2.646l-2.084-1.925a.691.691 0 0 0-.976.038l-.551.596a.69.69 0 0 0 .038.977l2.083 1.925c.28.26.718.242.977-.038l.551-.596a.69.69 0 0 0-.038-.977zm-.358 10.457c.595-5.993-3.704-11.13-9.371-11.895v-1.588h1.222a.69.69 0 0 0 .69-.69v-.697a.69.69 0 0 0-.69-.691h-5.144a.69.69 0 0 0-.69.691v.696c0 .382.309.691.69.691h1.11v1.572c-1.695.21-3.313.812-4.74 1.775a1.382 1.382 0 0 0-.318 1.993c.453.585 1.308.666 1.926.257a8.083 8.083 0 0 1 4.481-1.346c4.946 0 8.874 4.442 8.004 9.547-.582 3.41-3.359 6.111-6.782 6.613-4.626.678-8.66-2.572-9.266-6.906h.932a.845.845 0 0 0 .732-1.268l-2.394-4.146a.845.845 0 0 0-1.464 0l-2.394 4.145a.845.845 0 0 0 .732 1.269h1.07c.601 5.804 5.78 10.27 11.855 9.712 5.138-.472 9.299-4.599 9.809-9.734z"/>
									</g>
								</svg>
								<span class="txt">{{$store.state.locale.timesheet}}</span>
							</a>
						</router-link>


						<router-link to="/voice-recorder" tag="li" exact active-class="active" v-if="can('IVR', 'View')">
							<a href="">
								<svg class="img" width="16" height="24" viewBox="0 0 16 24">
									<g transform="translate(-27 -241)">
										<g>
											<path id="scmba"
												  d="M35 257.956c1.164 0 2.16-.46 2.988-1.383.829-.922 1.243-2.031 1.243-3.326v-7.537c0-1.295-.414-2.404-1.243-3.326C37.16 241.46 36.164 241 35 241s-2.16.461-2.989 1.384c-.828.922-1.243 2.031-1.243 3.326v7.537c0 1.295.415 2.404 1.243 3.326.829.922 1.825 1.383 2.989 1.383z"/>
										</g>
										<g>
											<path id="scmbb"
												  d="M42.736 250.207a.83.83 0 0 0-.625-.28.832.832 0 0 0-.625.28.933.933 0 0 0-.264.662v1.884c0 1.816-.609 3.369-1.827 4.66-1.217 1.29-2.682 1.935-4.395 1.935-1.713 0-3.178-.646-4.396-1.936-1.217-1.29-1.826-2.843-1.826-4.659v-1.884a.933.933 0 0 0-.264-.662.831.831 0 0 0-.625-.28c-.24 0-.45.094-.625.28a.932.932 0 0 0-.264.662v1.884c0 2.17.683 4.056 2.049 5.66 1.365 1.604 3.053 2.524 5.062 2.76v1.943h-3.555a.831.831 0 0 0-.625.28.932.932 0 0 0-.264.662c0 .255.088.476.264.662.175.186.384.28.625.28h8.888c.24 0 .45-.093.625-.28a.932.932 0 0 0 .264-.662.932.932 0 0 0-.264-.662.83.83 0 0 0-.625-.28h-3.555v-1.943c2.009-.236 3.696-1.156 5.062-2.76 1.366-1.604 2.049-3.49 2.049-5.66v-1.884a.932.932 0 0 0-.264-.662z"/>
										</g>
									</g>
								</svg>
								<span class="txt">{{$store.state.locale.ivr}}</span>
							</a>
						</router-link>


						<router-link to="/crash-info" tag="li" exact active-class="active" v-if="can('settings_accident', 'View')">
							<a href="">
								<svg class="img" width="24.062" height="19.069" viewBox="0 0 24.062 19.069">
									<g transform="translate(0 -41.447)">
										<path d="M19.95,186.008H18.716v-8.019a.543.543,0,0,0-.542-.542H16.488a.543.543,0,0,0-.542.542v8.019H14.711a.543.543,0,0,0-.542.542v1.235a.543.543,0,0,0,.542.542H19.95a.543.543,0,0,0,.542-.542V186.55A.543.543,0,0,0,19.95,186.008Z" transform="translate(-13.316 -127.81)"/>
										<path d="M286.156,186.008h-1.234v-8.019a.543.543,0,0,0-.542-.542h-1.686a.543.543,0,0,0-.542.542v8.019h-1.235a.543.543,0,0,0-.542.542v1.235a.543.543,0,0,0,.542.542h5.239a.543.543,0,0,0,.542-.542V186.55A.543.543,0,0,0,286.156,186.008Z" transform="translate(-263.49 -127.81)"/>
										<path d="M.327,44.7h0a.35.35,0,0,0,.29-.163L2.388,42.02a.355.355,0,0,0-.3-.573H.422A.422.422,0,0,0,0,41.869v2.472A.335.335,0,0,0,.327,44.7Z" transform="translate(0 0)"/>
										<path d="M112.144,48.538a.36.36,0,0,0,.334.2h3.786a.572.572,0,0,0,.433-.213l4.984-6.494a.352.352,0,0,0-.286-.58h-3.786a.572.572,0,0,0-.433.213l-4.984,6.494A.36.36,0,0,0,112.144,48.538Z" transform="translate(-105.357)"/>
										<path d="M227.937,48.538a.36.36,0,0,0,.334.2h3.786a.572.572,0,0,0,.433-.213l4.984-6.494a.352.352,0,0,0-.286-.58H233.4a.572.572,0,0,0-.433.213l-4.984,6.494A.36.36,0,0,0,227.937,48.538Z" transform="translate(-214.177)"/>
										<path d="M4.366,48.521,9.35,42.027a.352.352,0,0,0-.286-.58H5.278a.573.573,0,0,0-.432.213l-4.709,6.1a.706.706,0,0,0-.136.4v.149a.422.422,0,0,0,.422.422H3.933A.572.572,0,0,0,4.366,48.521Z" transform="translate(0 0)"/>
										<path d="M346.75,97.115a.359.359,0,0,0-.279.14l-2.66,3.208a.349.349,0,0,0,.275.586h2.573a.422.422,0,0,0,.422-.422V97.475A.339.339,0,0,0,346.75,97.115Z" transform="translate(-323.02 -52.316)"/>
									</g>
								</svg>

								<span class="txt">{{$store.state.locale.accidents}}</span>
							</a>
						</router-link>


						<router-link to="/settings" tag="li" exact active-class="active" v-if="can('Settings', 'View')">
							<a href="">
								<svg class="img" width="24" height="24" viewBox="0 0 24 24">
									<g transform="translate(-23 -320)">
										<path d="M35.019 336.028a4.007 4.007 0 0 1-4.003-4.003 4.007 4.007 0 0 1 4.003-4.002 4.007 4.007 0 0 1 4.003 4.002 4.007 4.007 0 0 1-4.003 4.003zm11.906-5.36c-.038-.338-.431-.591-.772-.591-1.1 0-2.075-.646-2.484-1.645a2.673 2.673 0 0 1 .67-2.967.666.666 0 0 0 .074-.905 11.874 11.874 0 0 0-1.901-1.92.668.668 0 0 0-.912.074c-.716.792-2 1.086-2.993.672a2.666 2.666 0 0 1-1.621-2.605.666.666 0 0 0-.59-.701c-.896-.104-1.8-.107-2.7-.007a.668.668 0 0 0-.593.686 2.67 2.67 0 0 1-1.643 2.56c-.981.401-2.257.11-2.971-.676a.67.67 0 0 0-.906-.076 11.92 11.92 0 0 0-1.941 1.92.668.668 0 0 0 .072.912 2.66 2.66 0 0 1 .67 2.994c-.414.986-1.438 1.622-2.61 1.622a.652.652 0 0 0-.694.589c-.105.901-.107 1.82-.005 2.729.038.339.443.59.787.59 1.045-.027 2.048.62 2.47 1.644a2.668 2.668 0 0 1-.672 2.968.667.667 0 0 0-.073.904c.558.71 1.198 1.356 1.899 1.92.275.222.675.19.913-.072.718-.794 2.003-1.088 2.992-.673a2.661 2.661 0 0 1 1.623 2.605c-.02.353.239.66.59.7a11.928 11.928 0 0 0 2.699.008.668.668 0 0 0 .594-.687 2.667 2.667 0 0 1 1.642-2.56c.987-.403 2.258-.107 2.972.677a.67.67 0 0 0 .906.076 11.947 11.947 0 0 0 1.94-1.92.666.666 0 0 0-.07-.912 2.659 2.659 0 0 1-.673-2.993 2.687 2.687 0 0 1 2.455-1.627l.148.004a.668.668 0 0 0 .703-.588c.105-.903.107-1.82.005-2.73z"/>
									</g>
								</svg>
								<span class="txt">{{$store.state.locale.settings}}</span>
							</a>
						</router-link>

						<router-link to="/Crm" tag="li" exact active-class="active">
							<a href="">
								<svg class="img" xmlns="http://www.w3.org/2000/svg" width="24" height="23.94" viewBox="0 0 24 23.94">
									<path d="M255.87,250.77a3.11,3.11,0,1,0,0-1.48h-2.88a2.977,2.977,0,0,0-.45-1.01l3.67-3.67a2.327,2.327,0,0,0,1.08.26,2.369,2.369,0,1,0-2.13-1.31l-3.73,3.73a2.692,2.692,0,0,0-.73-.28v-2.82a3.1,3.1,0,1,0-1.48,0v2.82a2.592,2.592,0,0,0-.73.29h-.01l-3.61-3.61v-.01a2.287,2.287,0,0,0,.33-1.19,2.385,2.385,0,1,0-2.38,2.38,2.3,2.3,0,0,0,.94-.2l3.63,3.63a3.156,3.156,0,0,0-.44.99h-2.82a3.11,3.11,0,1,0,0,1.48h2.82a2.909,2.909,0,0,0,.28.73l-3.35,3.34a2.247,2.247,0,0,0-1.06-.26,2.385,2.385,0,1,0,2.38,2.39,2.5,2.5,0,0,0-.26-1.09l3.28-3.28a3.015,3.015,0,0,0,1,.45v2.82a3.12,3.12,0,1,0,1.48,0v-2.82a3.21,3.21,0,0,0,1-.44l3.41,3.41a2.31,2.31,0,0,0-.2.95,2.38,2.38,0,1,0,2.38-2.39,2.323,2.323,0,0,0-1.2.33l-3.39-3.39a2.719,2.719,0,0,0,.29-.75Zm3.02-2.4a1.66,1.66,0,1,1-1.66,1.66A1.656,1.656,0,0,1,258.89,248.37Zm-1.6-6.81a.93.93,0,1,1-.93.93A.935.935,0,0,1,257.29,241.56Zm-15.4.93a.925.925,0,1,1,.93.93A.928.928,0,0,1,241.89,242.49Zm-.78,9.2a1.66,1.66,0,1,1,1.66-1.66A1.656,1.656,0,0,1,241.11,251.69Zm1.71,6.2a.925.925,0,1,1,.92-.92A.92.92,0,0,1,242.82,257.89Zm14.47-1.85a.925.925,0,1,1-.93.93A.928.928,0,0,1,257.29,256.04Zm-8.99-14.87a1.665,1.665,0,1,1,1.67,1.66A1.664,1.664,0,0,1,248.3,241.17Zm3.33,17.72a1.665,1.665,0,1,1-1.66-1.66A1.662,1.662,0,0,1,251.63,258.89Zm-1.66-7.2a1.66,1.66,0,1,1,1.66-1.66A1.664,1.664,0,0,1,249.97,251.69Z" transform="translate(-238 -238.06)"/>
								</svg>
								<span class="txt">CRM</span>
							</a>
						</router-link>


<!--						<router-link to="/reports" tag="li" exact active-class="active" v-if="can('Reports', 'View')">-->
<!--							<a href="">-->
<!--								<img src="img/report_icon.png" alt="">-->
<!--								<span class="txt">Отчеты</span>-->
<!--							</a>-->
<!--						</router-link>-->
						<router-link to="/report" tag="li" exact active-class="active" v-if="can('Reports', 'View')">
							<a href="">
								<img src="img/report_icon.png" alt="">
								<span class="txt">Отчеты</span>
							</a>
						</router-link>
					</ul>
				</div>
			</aside>


			<main class="main">

				<!-- Header -->
				<header class="header">
					<ul class="hd_info_ls">
						<li>
							<img src="/img/logo_uzcard.svg" class="img">
							<div class="hd_info_tip right">Uzcard</div>
						</li>

						<li>
							<img src="/img/logo_genesis.svg" class="img">
							<div class="hd_info_tip bottom">Genesis Innovation</div>
						</li>

						<li>
							<img src="/img/logo_communal.svg" class="img">
							<div class="hd_info_tip bottom">
								Центр Управление <br>
								Коммунальными службами
							</div>
						</li>
					</ul>


					<div class="hd_act">
						<div class="hd_contact_bx">
							<!--<div class="hd_contact_col">-->
							<!--<a href="" class="hd_contact hd_contact_chat">-->
							<!--<div class="txt">Чат</div>-->

							<!--<i class="mdi mdi-message-processing"></i>-->
							<!--</a>-->
							<!--</div>-->


							<div class="hd_contact_col" v-if="can('Phone', 'View')">
								<phone
									   @phoneStuck="componentKey = !componentKey;"
									   :key="componentKey"
									   :working="authorized"
								/>
							</div>
						</div>
					</div>


					<div class="profile_lang_wrapper">
						<div class="hd_lang">
							<img src="/img/icon_lang.svg" alt="">
							<select @change="changeLang()" v-model="lang" class="form-control ap-n">
								<option value="en">En</option>
								<option value="ru">Ru</option>
								<option value="uz">Uz</option>
							</select>
							<i class="mdi mdi-menu-down"></i>
						</div>
						<div class="hd_profile">
							<a href=""
							   :class="{on: $store.state.call_center_status === 1, off: $store.state.call_center_status === 2, park: $store.state.call_center_status === 3}">
								<i class="mdi mdi-menu-down"></i>
								<img src="../public/img/user.jpg" alt="">
							</a>

							<ul class="hd_profile_ls">
								<li class="sts on" data-status="1" :class="{active: $store.state.call_center_status === 1}">
									<a href="">
										<span class="txt">{{$store.state.locale.online}}</span>
										<i class="mdi mdi-checkbox-marked-circle-outline"></i>
									</a>
								</li>
								<li class="sts off" data-status="2"
									:class="{active: $store.state.call_center_status === 2}">
									<a href="">
										<span class="txt">{{$store.state.locale.offline}}</span>
										<i class="mdi mdi-checkbox-marked-circle-outline"></i>
									</a>
								</li>
								<li class="sts park" data-status="3"
									:class="{active: $store.state.call_center_status === 3}">
									<a href="">
										<span class="txt">{{$store.state.locale.parking}}</span>
										<i class="mdi mdi-checkbox-marked-circle-outline"></i>
									</a>
								</li>

								<li class="separator"></li>

								<li class="out">
									<a href="javascript:void(0)" @click="Logout">
										<span class="txt">{{$store.state.locale.logout}}</span>
										<i class="mdi mdi-power-standby"></i>
									</a>
								</li>
							</ul>
						</div>
					</div>
				</header>


				<!-- Content -->
				<transition name="fade" mode="out-in">
					<router-view></router-view>
				</transition>
			</main>


			<div class="hd_contact_dial_bg"></div>
			<iframe allow="microphone; camera" style="display:none" height="0" width="0"></iframe>
			<audio id="audio_remote" autoplay="autoplay"></audio>
			<audio id="ringtone" loop src="/src/sounds/ringtone.wav"></audio>
			<audio id="ringbacktone" loop src="/src/sounds/ringbacktone.wav"></audio>
			<audio id="dtmfTone" src="/src/sounds/dtmf.wav"></audio>
		</div>


		<div class="loader_bx fx-c" :class="{active: $store.state.loader}">
			<div class="loader fx-c"></div>
		</div>


	</div>
</template>
<script>
	import LoginPage from '@/views/Login/Login.vue'
	import ActivationPage from '@/views/Activation/Activation.vue'
	import Phone from '@/components/Phone/Phone.vue'


	export default {
		components: {
			LoginPage,
			ActivationPage,
			Phone,
		},
		data() {
			return {
				transitionName: '',
				pageName: '',
				authorized: false,
				statusIntervalId: 0,
				lang: 'ru',


				componentKey: true,
			}
		},
		methods: {
			Logout() {
				this.authorized = false;

				clearInterval(this.statusIntervalId);
				axios
					.post('TimeSheetOperator/OnlineOfflineParking?status=' + 2)
					.then(response => {
						// console.log(response.data);

						if (response.data.success) {
							this.$store.state.call_center_status = 2;
							localStorage.setItem('call_center_status', 2);
						}
						else {
							console.log(response.data.success);
						}
					})
					.catch(error => {
						console.log(error.message);
					});


				localStorage.removeItem('token');
				localStorage.removeItem('token_time');
				localStorage.removeItem('refresh_token');
				localStorage.removeItem('operator_id');
				localStorage.removeItem('user_id');
				setTimeout(() => {
					localStorage.removeItem('permissions');
					this.$router.push('/login');
				}, 300);
			},


			changeLang() {
				axios.get('Admin/localization/' + this.lang).then(res => {
					// console.log(res.data);
					if (res.data.success === true) {
						let items = {...this.$store.state.locale, ...res.data.data};
						this.$store.state.locale = items;
						this.$store.state.lang = this.lang;
					}
				})
			},
		},
		mounted() {
			this.changeLang();


			let _this = this;
			$(document).on('click', '.hd_profile_ls > li.sts a', function (e) {
				e.preventDefault();
				$(this).closest('.hd_profile').removeClass('active');
				// $(this).parent().addClass('active').siblings('.sts').removeClass('active');

				axios
					.post('TimeSheetOperator/OnlineOfflineParking?status=' + $(this).parent().data('status'))
					.then(response => {
						// console.log(response.data);

						if (response.data.success) {
							_this.$store.state.call_center_status = $(this).parent().data('status');
							localStorage.setItem('call_center_status', $(this).parent().data('status'));
						}
						else {
							console.log(response.data.success);
						}
					})
					.catch(error => {
						console.log(error.message);
					});

			});

		},
		watch: {
			'$route'(to, from) {
				const toDepth = to.path.split('/').length;
				const fromDepth = from.path.split('/').length;
				this.transitionName = toDepth < fromDepth ? 'slide-right' : 'slide-left';

				this.pageName = to.fullPath;


				if (localStorage.getItem('token') && localStorage.getItem('activated') && !this.authorized) {

					setTimeout(() => {
						this.authorized = true;
					}, 500);


					setInterval(function refreshToken() {
						axios
							.post('/login/auth/refresh', {
								client_id: "123",
								refresh_token: localStorage.getItem('refresh_token'),
							})
							.then(response => {
								localStorage.setItem('token', response.data.data.access_token);
								axios.defaults.headers.common.Authorization = 'Bearer ' + response.data.data.access_token;
								localStorage.setItem('token_time', response.data.data.expires_in);

								localStorage.setItem('refresh_token', response.data.data.refresh_token);
							})
							.catch(error => {
								console.log(error.message);
							});

						return refreshToken;
					}(), (parseInt(localStorage.getItem('token_time')) - 60) * 1000);


					this.statusIntervalId = setInterval(() => {
						axios
							.get('/TimeSheetOperator/getAgentStatus')
							.then(response => {
								// console.log(response.data);

								switch (response.data.status) {
									case 'Available':
										this.$store.state.call_center_status = 1;
										localStorage.setItem('call_center_status', 1);
										break;
									case 'Logged Out':
										this.$store.state.call_center_status = 2;
										localStorage.setItem('call_center_status', 2);
										break;
									case 'On Break':
										this.$store.state.call_center_status = 3;
										localStorage.setItem('call_center_status', 3);
										break;
								}
							})
							.catch(error => {
								console.log(error.message);
							});
					}, 5000);
				}

			},
		}
	}
</script>

<style>
	#callModal .form-control {
		width: auto;
	}

	.btn_modal {
		padding: 10px 15px;
		border-radius: 6px;
		font-size: 14px;
		font-weight: 500;
		-webkit-box-shadow: none !important;
		box-shadow: none !important;
		background: #42cbee;
		color: #fff !important;
	}

	/*------------------------------------------- Transition effect -------------------------------------------*/
	.hd_lang img {
		height: 15px;
		position: absolute;
		left: 15px;
		bottom: 2px;
		top: 0;
		margin: auto;
		pointer-events: none;
	}

	.hd_lang select {
		height: 40px;
		padding-left: 35px;
		padding-right: 25px;
		border: none;
		margin: 0 5px;
	}
	.hd_lang select:focus{
		border-color: transparent;
		box-shadow: none;
	}

	.hd_lang {
		position: relative;
	}

	.profile_lang_wrapper {
		display: flex;
		align-items: center;
	}
	.profile_lang_wrapper{
		border-left: 1px solid #E9EDF6;

	}
	.hd_lang i{
		height: 15px;
		position: absolute;
		right: 8px;
		top: 3px;
		margin: auto;
		pointer-events: none;
		font-size: 22px;
	}

	/*------------------------------------------- Transition effect -------------------------------------------*/


	/*------------------------------------------- Transition effect -------------------------------------------*/
	.fade-enter-to,
	.fade-enter-active {
		animation: enter .3s both;
	}

	.fade-leave-to,
	.fade-leave-active {
		animation: leave .3s both;
	}

	@keyframes enter {
		from {
			opacity: 0;
			transform: translateY(-100px);
		}
		to {
			opacity: 1;
			transform: translateY(0);
		}
	}

	@keyframes leave {
		from {
			opacity: 1;
			transform: translateY(0);
		}
		to {
			opacity: 0;
			transform: translateY(100px);
		}
	}
</style>
